Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_AnyTypeCode_Adapter Class Reference

`#include <AnyTypeCode_Adapter.h>`

Inheritance diagram for TAO_AnyTypeCode_Adapter:

[legend]
Collaboration diagram for TAO_AnyTypeCode_Adapter:

[legend]
List of all members.

## Public Member Functions
virtual | ~TAO_AnyTypeCode_Adapter (void)
virtual ANYTYPECODE__EXCEPTION_LIST void | insert_into_any (CORBA::Any *any, CORBA::Char const *mychar)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::WChar const *mywchar)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::Policy_ptr policy)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::Policy_ptr *policy)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::ULong value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::Long value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::Short value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::UShort value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::Float value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::Double value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::LongLong value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::ULongLong value)=0
virtual void | insert_into_any (CORBA::Any *any, CORBA::LongDouble value)=0
virtual void | insert_into_any (CORBA::Any *any, ACE_OutputCDR::from_wchar value)=0
virtual void | insert_into_any (CORBA::Any *any, ACE_OutputCDR::from_char value)=0
virtual void | insert_into_any (CORBA::Any *any, ACE_OutputCDR::from_octet value)=0
virtual void | insert_into_any (CORBA::Any *any, ACE_OutputCDR::from_boolean value)=0

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_AnyTypeCode_Adapter::~TAO_AnyTypeCode_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | ACE_OutputCDR::from_boolean | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | ACE_OutputCDR::from_octet | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | ACE_OutputCDR::from_char | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | ACE_OutputCDR::from_wchar | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::LongDouble | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::ULongLong | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::LongLong | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::Double | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::Float | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::UShort | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::Short | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::Long | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::ULong | value
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::Policy_ptr * | policy
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::Policy_ptr | policy
| ) | `[pure virtual]`

virtual void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::WChar const * | mywchar
| ) | `[pure virtual]`

virtual ANYTYPECODE__EXCEPTION_LIST void TAO_AnyTypeCode_Adapter::insert_into_any | ( | CORBA::Any * | any,
|  | CORBA::Char const * | mychar
| ) | `[pure virtual]`

The documentation for this class was generated from the following files:

- AnyTypeCode_Adapter.h
- AnyTypeCode_Adapter.cpp